machine {base} | R Documentation

## Determine the Machine R is Running On

### Description

This function returns a character string which specifies what kind of environment R is being run in.

### Usage

    machine()

### Value

A character string, one of `"Unix"`, `"Macintosh"` or `"Win32"`. The `darwin' MacOS X port returns `"Unix"`.

### See Also

`.Platform` which provides more than `machine()`; `Machine` for the characteristics of the platform's arithmetic.

### Examples

    machine()# to see yours
    tolower(machine()) == .Platform $OS.type ## --> TRUE except on Windows.
    if (machine() == "Macintosh")
      cat("You are using a Macintosh computer\n")

[Package Contents]